Bug 1077916 - Use system sqlite instead of bundled one
Use system sqlite instead of bundled one
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: sleuthkit (Show other bugs)
22
All All
unspecified Severity unspecified
: ---
: ---
Assigned To: Nicolas Chauvet (kwizart)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: DuplicSysLibsTracker
  Show dependency treegraph
 
Reported: 2014-03-18 16:05 EDT by Ville Skyttä
Modified: 2015-08-03 08:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-03 08:08:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Use system sqlite instead of bundled one (4.46 KB, patch)
2014-03-18 16:05 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2014-03-18 16:05:14 EDT
https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
https://fedoraproject.org/wiki/Packaging:Treatment_Of_Bundled_Libraries

'git am'able fix attached, build tested only. Let me know if you'd
like me to push and build this for devel.
Comment 1 Ville Skyttä 2014-03-18 16:05:19 EDT
Created attachment 876119 [details]
Use system sqlite instead of bundled one
Comment 2 Nicolas Chauvet (kwizart) 2014-04-09 08:04:27 EDT
Thx for the patch, but I think the sleuthkit-4.1.3-system-sqlite.patch is missing.
Can you apply it directly in devel ?
Comment 3 Ville Skyttä 2014-04-09 08:40:26 EDT
(In reply to Nicolas Chauvet (kwizart) from comment #2)
> Thx for the patch, but I think the sleuthkit-4.1.3-system-sqlite.patch is
> missing.

It's not, it's just a manifestation of Bugzilla's patch viewer bug. The only trustworthy link in my experience is in the "Attachments" box:
https://bugzilla.redhat.com/attachment.cgi?id=876119

> Can you apply it directly in devel ?

Done, applied but not built (I'll leave that to you), along with a minor fix in the %prep loop compared to the original patch.
Comment 4 Jaroslav Reznik 2015-03-03 10:36:25 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 5 Nicolas Chauvet (kwizart) 2015-08-03 08:08:09 EDT
fixed in current release for f21+

Note You need to log in before you can comment on or make changes to this bug.